Closed Bug 507948 Opened 10 years ago Closed 6 years ago

Crashes every time I visit www.usaa.com (probably threadsafety bugs in third-party modules)

Categories

(Core :: DOM: Core & HTML, defect, critical)

1.9.1 Branch
x86
Windows Vista
defect
Not set
critical

Tracking

()

RESOLVED INCOMPLETE

People

(Reporter: jrdc3, Unassigned)

References

()

Details

(Keywords: crash, stackwanted)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1 (.NET CLR 3.5.30729) AutoPager/0.5.2.2 (http://www.teesoft.info/)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1 (.NET CLR 3.5.30729) AutoPager/0.5.2.2 (http://www.teesoft.info/)

After dloading and installing 3.5.1 from 3.0.21, Firefox started crashing every time I go to my bank webiste, www.usaa.com, and I enter the WEB BILL PAY service on that site. Firefox shuts down and asks that I report the problem, I did that already...sometimes, I don't even have to to into the WEB BILL Pay area for Firefox to crash and close on www.usaa.com.  This is very frustrating, as I the bank site daily for bill paying and general banking.  Another issue with upgrading to 3.5.1...Both Norton Toolbar and Norton IPS stopped working and were disabled by Firefox...contacted Norton and they said there was a patch for their toolbar, installed it, and it's still not showing. 

Reproducible: Always

Steps to Reproduce:
1.Log on to www.usaa.com
2.try to enter Web Bill Pay
3.Firefox crashes and closes, it then asks me to file a report, which I have done only once, because it does not allow me to keep filing the same report. 
Actual Results:  
Log onto www.usaa.com, then log into the Web bill pay area, first Firefox freezes and says it's "not responding", then it crashes and closes, asking me to send a report, which I have done

Expected Results:  
Firefox crashes and closes. 

Not crashed, and allow me to pay bills etc on the site just like I have been doing for years with Firefox...the last version I had, 3.0.21 was working fine with no problems like this.
Please provide a crash id. http://support.mozilla.com/en-US/kb/Mozilla+Crash+Reporter
Version: unspecified → 3.5 Branch
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3pre) Gecko/20090731 Shiretoko/3.5.3pre

WFM
Thanks...Here are the 4 submitted crash reports that I believe are connected to my www.usaa.com Firefox crashes. Thanks!!

b33f8edd-7a0f-4d4f-b2a5-813092090802	8/2/2009	5:48 PM
323b612b-8c24-4d62-85b7-7790e2090801	8/1/2009	4:57 PM
5554ddce-c2fe-49ce-bffd-ba3572090731	7/31/2009	5:05 PM
e2bdb431-35d7-41a8-a063-943d42090731	7/31/2009	3:51 PM
So, you have 4 seemingly distinct crash reports. I've pasted summaries of three and the entirety of a fourth.

I'd suggest:
1. disable norton confidential
2. try to crash 10-20 more times

That'll enable us to figure out which crash is actually the interesting one. You can paste the id's just as you did in comment 3, thanks.

Note that you seem to have Norton Confidential (IVPlugin and friends)

Bug 492437
Signature	oleaut32.dll@0x4580
UUID	b33f8edd-7a0f-4d4f-b2a5-813092090802
0 	oleaut32.dll  	oleaut32.dll@0x4580  	
1 	coWPPlg.dll 	coWPPlg.dll@0x16d69

Bug 500879 / bug 500879 
Signature	nsCycleCollectingAutoRefCnt::decr(nsISupports*)
UUID	323b612b-8c24-4d62-85b7-7790e2090801
0  	xul.dll  	nsCycleCollectingAutoRefCnt::decr
1 	xul.dll 	XPCVariant::Release

No idea
Signature	@0x1191e673
UUID	e2bdb431-35d7-41a8-a063-943d42090731
Crash Reason	EXCEPTION_PRIV_INSTRUCTION
Crash Address	0x1191e673
User Comments	
Processor Notes 	No proper signature could be created because no good data for the crashing thread (0) was found

Signature	nsNodeInfo::Release()
UUID	5554ddce-c2fe-49ce-bffd-ba3572090731
Time 	2009-07-31 17:05:49.283620
Uptime	32
Last Crash	2562 seconds before submission
Product	Firefox
Version	3.5.1
Build ID	20090715094852
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6da68560
User Comments	
Processor Notes 	
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsNodeInfo::Release 	content/base/src/nsNodeInfo.cpp:141
1 	xul.dll 	nsHTMLTitleElement::nsHTMLTitleElement 	content/html/content/src/nsHTMLTitleElement.cpp:101
2 	xul.dll 	SinkContext::OpenContainer 	content/html/document/src/nsHTMLContentSink.cpp:775
3 	xul.dll 	HTMLContentSink::OpenContainer 	content/html/document/src/nsHTMLContentSink.cpp:2361
4 	xul.dll 	CNavDTD::AddHeadContent 	parser/htmlparser/src/CNavDTD.cpp:3116
5 	xul.dll 	CNavDTD::HandleStartToken 	parser/htmlparser/src/CNavDTD.cpp:1430
6 	xul.dll 	CNavDTD::HandleToken 	parser/htmlparser/src/CNavDTD.cpp:756
7 	xul.dll 	CNavDTD::BuildModel 	parser/htmlparser/src/CNavDTD.cpp:332
8 	xul.dll 	xul.dll@0x8c557b
Hi...thanks....I will try what you suggested.. I don't know what Norton Confidential is?......but as far as tying to get it to crash more, I can, but now when it does crash from www.usaa.com, the firefox box that pops up asking to report it, after I fill in the info, and hit submit, it says it cannot complete it....that's why there were only 4 submitted crash reports listed, there were a LOT more than that.  Any suggestions for this?
One more thing...I thought this was not imprtant, but I think it is...this crash report on 7/18/2009, when I was using 3.0.11...it crashed with www.usaa.com, Web bill pay...same type of crash with 3.5.1.  Hope this helps...Thanks. 

cbc9f6d6-bcc7-4a2f-a0ff-d0f0b2090718
Um, norton toolbar? norton 360? norton antivirus?

Bug 432312
Signature	ageSelectionCallback
UUID	cbc9f6d6-bcc7-4a2f-a0ff-d0f0b2090718

So far, you have 5 distinct crashes, really collect a batch of 5+ (it's easier for me to process larger numbers of crashes...)
Hi Timeless...I just now disabled Norton Anti Virus 2009, then loged onto www.usaa.com, then the Web Bill Pay area, firefox crahsed...the problem is, when the box came up to submit the report, it says, "there was a problem submitting your report"...I then checked the about:crashes page..nothing but the 5 reports I submitted already....can I erase those 5 and see if it will allow me to submit?  Also, I tried to copy and paste from the crash report, but it will not allow me to paste?...thanks.
Hi again...Timeless...I just now crashed Firefox over 8 times, and only 1 of those times did the crash-report box allow me to submit it...the other 7 times it said, "there was a problem submitting your report" at the bottom of the box. Here is the submitted crash report that deals with the www.usaa.com problem. Thanks.  I hope this is enough for your to go on, unless there is some other way to get you the crash info. 

5a9bfb0d-d31f-44d7-b9d8-110f82090803
Summary: After upgrading to 3.5.1 from 3.0.21, Firefox crashes and closes every time I visit www.usaa.com → After upgrading to 3.5.1 from 2.0.21, Firefox crashes and closes every time I visit www.usaa.com
this favors Bug 500879 / bug 500879 

Signature	nsCycleCollectingAutoRefCnt::decr(nsISupports*)
UUID	5a9bfb0d-d31f-44d7-b9d8-110f82090803
Time 	2009-08-03 07:52:00.607604
Uptime	50
Last Crash	92 seconds before submission
Product	Firefox
Version	3.5.1
Build ID	20090715094852
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6d543cf4
User Comments	
Processor Notes 	
Related Bugs

Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsCycleCollectingAutoRefCnt::decr 	obj-firefox/dist/include/xpcom/nsISupportsImpl.h:197
1 	xul.dll 	nsGenericElement::Release 	content/base/src/nsGenericElement.cpp:4124
2 	xul.dll 	nsCOMPtr_base::~nsCOMPtr_base 	obj-firefox/xpcom/build/nsCOMPtr.cpp:81
3 	xul.dll 	nsGenericElement::BindToTree 	content/base/src/nsGenericElement.cpp:2642
4 	xul.dll 	nsGenericHTMLElement::BindToTree 	content/html/content/src/nsGenericHTMLElement.cpp:903
5 	xul.dll 	nsHTMLTitleElement::BindToTree 	content/html/content/src/nsHTMLTitleElement.cpp:181
6 	xul.dll 	nsGenericElement::doInsertChildAt 	content/base/src/nsGenericElement.cpp:3258
7 	xul.dll 	nsGenericElement::InsertChildAt 	content/base/src/nsGenericElement.cpp:3203
8 	xul.dll 	xul.dll@0x8e6267 	
9 	xul.dll 	HTMLContentSink::OpenContainer 	content/html/document/src/nsHTMLContentSink.cpp:2361
10 	xul.dll 	CNavDTD::AddHeadContent 	parser/htmlparser/src/CNavDTD.cpp:3116
11 	xul.dll 	CNavDTD::HandleStartToken 	parser/htmlparser/src/CNavDTD.cpp:1430
12 	xul.dll 	CNavDTD::HandleToken 	parser/htmlparser/src/CNavDTD.cpp:756
13 	xul.dll 	CNavDTD::BuildModel 	parser/htmlparser/src/CNavDTD.cpp:332
14 	xul.dll 	xul.dll@0x8c557b
Component: General → DOM
Keywords: crash
Product: Firefox → Core
QA Contact: general → general
Version: 3.5 Branch → 1.9.1 Branch
The crashes are still happening...this time, just going to www.usaa.com caused several of these crahses, as well as www.chase.com, another banking site.  Here are the latest crashes:

12a29ff7-8f27-4968-8cee-d2c172090810	8/10/2009	6:37 PM
42f5a5ff-74d7-4ebb-b88a-a46322090810	8/10/2009	6:32 PM
d78806db-b624-49c1-bd8a-b98ab2090810	8/10/2009	6:23 PM
01a338ce-0d06-435e-9f64-472952090803	8/3/2009	5:51 PM
bp-12a29ff7-8f27-4968-8cee-d2c172090810    8/10/2009    6:37 PM
bp-42f5a5ff-74d7-4ebb-b88a-a46322090810    8/10/2009    6:32 PM
bp-01a338ce-0d06-435e-9f64-472952090803    8/3/2009    5:51 PM

bp-d78806db-b624-49c1-bd8a-b98ab2090810    8/10/2009    6:23 PM
Signature	nsGlobalChromeWindow::Release()
UUID	d78806db-b624-49c1-bd8a-b98ab2090810
Time 	2009-08-10 18:23:17.992945
Uptime	705
Last Crash	49325 seconds before submission
Product	Firefox
Version	3.5.2
Build ID	20090729225027
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6aae6fe8
User Comments	Trying to do my banking online, FIREFOX keeps crashing www.chase.com
Processor Notes 	
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsGlobalChromeWindow::Release 	dom/src/base/nsGlobalWindow.cpp:8663
1 	xul.dll 	nsRefPtr<nsIDOMEventListener>::~nsRefPtr<nsIDOMEventListener> 	obj-firefox/xpcom/build/nsCOMPtr.cpp:81
2 	xul.dll 	nsGlobalWindow::RunTimeout 	dom/src/base/nsGlobalWindow.cpp:7963
3 		@0xc98b4f
Er the first 3 are the same bug 500879 issue.
Hi Kevin,

As far as I know, I don't have a Norton 'hotfix' or roboform...I don't have a Norton program that fills in forms, nor any other program that fills in forms automatically.   In any case, is there a fix for these crashes? Thanks! John
Hi again, 3 more crashes........

c03c570b-6123-475e-ab97-9249d2090810	8/10/2009	11:38 PM
d67e178d-4074-4c86-9cc2-3b6c12090810	8/10/2009	10:57 PM
ebcb5b57-d456-4cfe-bc50-868dd2090810	8/10/2009	7:27 PM
Today, there were 2 more crashes while trying to log onto www.chase.com 

f5b902d3-cf2d-4e39-b6b6-2edfc2090812	8/12/2009	6:37 PM
11d6ac6f-9580-424a-8c2a-6279e2090812	8/12/2009	6:36 PM

Is there any fix for Firefox to stop it from crashing like this?  Thanks.
start a command prompt do:

dir /s/b *coFFPlgn*.dll

paste the output here, but really, you need to find out what that program is.

Signature	nsXULDocument::Release()
UUID	ebcb5b57-d456-4cfe-bc50-868dd2090810
Time 	2009-08-10 19:27:15.982891
Uptime	31
Last Crash	3021 seconds before submission
Product	Firefox
Version	3.5.2
Build ID	20090729225027
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6d013608
User Comments	Another crash...
Processor Notes 	
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsXULDocument::Release 	content/xul/document/src/nsXULDocument.cpp:375
1 	xul.dll 	nsNodeUtils::AttributeChanged 	content/base/src/nsNodeUtils.cpp:110
2 	xul.dll 	nsGenericElement::SetAttrAndNotify 	content/base/src/nsGenericElement.cpp:4346
3 	xul.dll 	nsGenericElement::SetAttr 	content/base/src/nsGenericElement.cpp:4277
4 	xul.dll 	nsRefPtr<nsIDOMEventListener>::~nsRefPtr<nsIDOMEventListener> 	obj-firefox/xpcom/build/nsCOMPtr.cpp:81
5 	xul.dll 	nsXBLPrototypeBinding::AttributeChanged 	content/xbl/src/nsXBLPrototypeBinding.cpp:603
6 	xul.dll 	nsGenericElement::SetAttrAndNotify 	content/base/src/nsGenericElement.cpp:4334
7 	xul.dll 	nsGenericElement::SetAttr 	content/base/src/nsGenericElement.cpp:4277
8 	xul.dll 	nsGenericElement::SetAttribute 	content/base/src/nsGenericElement.cpp:2066
9 	xul.dll 	xpc_qsDOMString::xpc_qsDOMString 	js/src/xpconnect/src/xpcquickstubs.cpp:688
10 		@0x16f007 	
11 		@0x28 	

Bug 492437
Signature	xul.dll@0x8c27a0
UUID	d67e178d-4074-4c86-9cc2-3b6c12090810
Time 	2009-08-10 22:57:58.90513
Uptime	3
Last Crash	12639 seconds before submission
Product	Firefox
Version	3.5.2
Build ID	20090729225027
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6aab27a0
User Comments	CRASHES yet again just opening Firefox!!??????
Processor Notes 	
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	xul.dll@0x8c27a0 	
1 	coFFPlgn.dll 	coFFPlgn.dll@0xed25 	

Bug 500879 / bug 500879 
Signature	nsCycleCollectingAutoRefCnt::decr(nsISupports*)
UUID	c03c570b-6123-475e-ab97-9249d2090810
Time 	2009-08-10 23:38:34.387578
Uptime	2411
Last Crash	2432 seconds before submission
Product	Firefox
Version	3.5.2
Build ID	20090729225027
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6b52f430
User Comments	Firefox CRASHED yet again...this time making a plane reservation?????????????
Processor Notes 	
Related Bugs
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsCycleCollectingAutoRefCnt::decr 	obj-firefox/dist/include/xpcom/nsISupportsImpl.h:197
1 	xul.dll 	nsGenericElement::Release 	content/base/src/nsGenericElement.cpp:4124
2 	xul.dll 	

Signature	nsCycleCollectingAutoRefCnt::decr(nsISupports*)
UUID	f5b902d3-cf2d-4e39-b6b6-2edfc2090812
Time 	2009-08-12 18:37:45.698741
Uptime	25
Last Crash	74 seconds before submission
Product	Firefox
Version	3.5.2
Build ID	20090729225027
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x7006add4
User Comments	AGAIN a crash while trying to log onto www.chase.com
Processor Notes 	
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsCycleCollectingAutoRefCnt::decr 	obj-firefox/dist/include/xpcom/nsISupportsImpl.h:197
1 	xul.dll 	nsGenericElement::Release 	content/base/src/nsGenericElement.cpp:4124
2 	xul.dll 	nsCOMPtr_base::assign_with_AddRef 	obj-firefox/xpcom/build/nsCOMPtr.cpp:89
3 	xul.dll 	nsCOMPtr<nsILoadGroup>::operator= 	obj-firefox/dist/include/xpcom/nsCOMPtr.h:640
4 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
5 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
6 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
7 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
8 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
9 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
10 	xul.dll 	nsEventTargetChainItem::Destroy 	content/events/src/nsEventDispatcher.cpp:76
11 	xul.dll 	nsEventDispatcher::Dispatch 	content/events/src/nsEventDispatcher.cpp:524
12 	xul.dll 	nsImageBoxFrameEvent::Run 	layout/xul/base/src/nsImageBoxFrame.cpp:130
13 	xul.dll 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:510
14 	xul.dll 	nsBaseAppShell::Run 	widget/src/xpwidgets/nsBaseAppShell.cpp:170
15 	xul.dll 	nsAppStartup::Run 	toolkit/components/startup/src/nsAppStartup.cpp:193
16 	nspr4.dll 	PR_GetEnv 	
17 	firefox.exe 	wmain 	toolkit/xre/nsWindowsWMain.cpp:110
18 	firefox.exe 	firefox.exe@0x21a7 	
19 	kernel32.dll 	kernel32.dll@0x8e4a4 	
20 	ntdll.dll 	ntdll.dll@0x7cfec 	
21 	ntdll.dll 	ntdll.dll@0x7d1fe 	

Signature	nsDOMEvent::Release()
UUID	11d6ac6f-9580-424a-8c2a-6279e2090812
Time 	2009-08-12 18:37:01.871890
Uptime	49
Last Crash	154683 seconds before submission
Product	Firefox
Version	3.5.2
Build ID	20090729225027
Branch	1.9.1
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 10
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x6b5148b8
User Comments	Firefox CRASHED yet again while trying to log on to www.chase.com , a banking site.??>???? Why is this happening so frequently?
Processor Notes 	
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsDOMEvent::Release 	content/events/src/nsDOMEvent.cpp:170
1 	xul.dll 	nsRefPtr<nsIDOMEventListener>::~nsRefPtr<nsIDOMEventListener> 	obj-firefox/xpcom/build/nsCOMPtr.cpp:81
2 	xul.dll 	nsXMLHttpRequest::CreateReadystatechangeEvent 	content/base/src/nsXMLHttpRequest.cpp:1694

the other thing we can do is have you run firefox from windbg and attach the log, that'd let us point to where all the random dll's come from.

https://developer.mozilla.org/en/How_to_get_a_stacktrace_with_WinDbg
be sure to run firefox from windbg (make sure firefox isn't running before you start it from windbg...), follow the instructions in the url, and once it crashes and you've finished following the instructions, attach the log generated by windbg.
Hi Timeles..ok...followed the instructions for WinDbg, but at the end of the process, I could not find c:\firefox-debug-8/13/2009.txt on my hard drive. So, here is the info that WAS on the WinDbg page after completing the debug...hope this helps.  First though, here is the crash yet again that I was able to induce while WinDbg was running. 

50de09e0-b530-47f6-aa7e-59b2c2090813	8/13/2009	4:11 AM



Microsoft (R) Windows Debugger Version 6.11.0001.404 X86
Copyright (c) Microsoft Corporation. All rights reserved.

CommandLine: "C:\Program Files (x86)\Mozilla Firefox\firefox.exe"
Symbol search path is: *** Invalid ***
****************************************************************************
* Symbol loading may be unreliable without a symbol search path.           *
* Use .symfix to have the debugger choose a symbol path.                   *
* After setting your symbol path, use .reload to refresh symbol locations. *
****************************************************************************
Executable search path is: 
ModLoad: 01020000 010ff000   firefox.exe
ModLoad: 77cb0000 77e10000   ntdll.dll
ModLoad: 76600000 76710000   C:\Windows\syswow64\kernel32.dll
ModLoad: 6ac50000 6b6a1000   C:\Program Files (x86)\Mozilla Firefox\xul.dll
ModLoad: 705f0000 7065c000   C:\Program Files (x86)\Mozilla Firefox\sqlite3.dll
ModLoad: 6fa20000 6fad1000   C:\Program Files (x86)\Mozilla Firefox\MOZCRT19.dll
ModLoad: 76860000 7690a000   C:\Windows\syswow64\msvcrt.dll
ModLoad: 6f930000 6fa13000   C:\Program Files (x86)\Mozilla Firefox\js3250.dll
ModLoad: 10000000 10029000   C:\Program Files (x86)\Mozilla Firefox\nspr4.dll
ModLoad: 769f0000 76ab6000   C:\Windows\syswow64\ADVAPI32.dll
ModLoad: 75e40000 75f30000   C:\Windows\syswow64\RPCRT4.dll
ModLoad: 75c90000 75cf0000   C:\Windows\syswow64\Secur32.dll
ModLoad: 75b80000 75b87000   C:\Windows\SysWOW64\WSOCK32.dll
ModLoad: 778e0000 7790d000   C:\Windows\syswow64\WS2_32.dll
ModLoad: 765f0000 765f6000   C:\Windows\syswow64\NSI.dll
ModLoad: 749a0000 749d2000   C:\Windows\SysWOW64\WINMM.dll
ModLoad: 76920000 769f0000   C:\Windows\syswow64\USER32.dll
ModLoad: 763a0000 76430000   C:\Windows\syswow64\GDI32.dll
ModLoad: 75cf0000 75e34000   C:\Windows\syswow64\ole32.dll
ModLoad: 76550000 765dd000   C:\Windows\syswow64\OLEAUT32.dll
ModLoad: 74960000 74999000   C:\Windows\SysWOW64\OLEACC.dll
ModLoad: 00020000 00038000   C:\Program Files (x86)\Mozilla Firefox\smime3.dll
ModLoad: 00060000 000fa000   C:\Program Files (x86)\Mozilla Firefox\nss3.dll
ModLoad: 00100000 00114000   C:\Program Files (x86)\Mozilla Firefox\nssutil3.dll
ModLoad: 00120000 00127000   C:\Program Files (x86)\Mozilla Firefox\plc4.dll
ModLoad: 00130000 00137000   C:\Program Files (x86)\Mozilla Firefox\plds4.dll
ModLoad: 00190000 001b0000   C:\Program Files (x86)\Mozilla Firefox\ssl3.dll
ModLoad: 76af0000 77600000   C:\Windows\syswow64\SHELL32.dll
ModLoad: 77880000 778d8000   C:\Windows\syswow64\SHLWAPI.dll
ModLoad: 75630000 75638000   C:\Windows\SysWOW64\VERSION.dll
ModLoad: 74bc0000 74c02000   C:\Windows\SysWOW64\WINSPOOL.DRV
ModLoad: 76320000 76393000   C:\Windows\syswow64\COMDLG32.dll
ModLoad: 750f0000 7528e000   C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.6001.18000_none_5cdbaa5a083979cc\COMCTL32.dll
ModLoad: 75fc0000 76020000   C:\Windows\syswow64\IMM32.dll
ModLoad: 76430000 764f8000   C:\Windows\syswow64\MSCTF.dll
ModLoad: 718c0000 718c5000   C:\Windows\SysWOW64\MSIMG32.dll
ModLoad: 762a0000 7631d000   C:\Windows\syswow64\USP10.dll
ModLoad: 75350000 75357000   C:\Program Files (x86)\Mozilla Firefox\xpcom.dll
(1af0.1644): Break instruction exception - code 80000003 (first chance)
eax=00000000 ebx=00000000 ecx=b2b00000 edx=00000000 esi=fffffffe edi=77cd4c52
eip=77cc0004 esp=0030f93c ebp=0030f96c iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000246
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for ntdll.dll - 
ntdll!DbgBreakPoint:
77cc0004 cc              int     3
0:000> .sympath SRV*c:\symbols*http://symbols.mozilla.org/firefox
Symbol search path is: SRV*c:\symbols*http://symbols.mozilla.org/firefox
Expanded Symbol search path is: srv*c:\symbols*http://symbols.mozilla.org/firefox
0:000> .symfix+ c:\symbols
0:000> .reload /f
Reloading current modules
.......................

Press ctrl-c (cdb, kd, ntsd) or ctrl-break (windbg) to abort symbol loads that take too long.
Run !sym noisy before .reload to track down problems loading symbols.

...............
0:000> .logopen /t c:\firefox-debug.log
Log file could not be opened
0:000> .childdbg 1
Processes created by the current process will be debugged
0:000> sxn gp
0:000> lm
start    end        module name
00020000 00038000   smime3     (private pdb symbols)  c:\symbols\smime3.pdb\B2DF2B73309F4829AAD925528DF9AB291\smime3.pdb
00060000 000fa000   nss3       (private pdb symbols)  c:\symbols\nss3.pdb\0D7B6380991B463FA3A6D8650DF201C71\nss3.pdb
00100000 00114000   nssutil3   (private pdb symbols)  c:\symbols\nssutil3.pdb\96A41100A76E44858E54CD07F0E39F941\nssutil3.pdb
00120000 00127000   plc4       (private pdb symbols)  c:\symbols\plc4.pdb\EFF6380F877D44139900A28D8FD81CBC1\plc4.pdb
00130000 00137000   plds4      (private pdb symbols)  c:\symbols\plds4.pdb\14A9318596F449799D1343D7EC4ACFD61\plds4.pdb
00190000 001b0000   ssl3       (private pdb symbols)  c:\symbols\ssl3.pdb\E8786215C6BA473690CBEBB1C199AD391\ssl3.pdb
01020000 010ff000   firefox    (private pdb symbols)  c:\symbols\firefox.pdb\27573F1FEA2A41B5ACCBF4942929D6F02\firefox.pdb
10000000 10029000   nspr4      (private pdb symbols)  c:\symbols\nspr4.pdb\B79A0596E1A54A5A815807605BB6D97D1\nspr4.pdb
6ac50000 6b6a1000   xul        (private pdb symbols)  c:\symbols\xul.pdb\54D08EB89929411489E21BC03AC413A72\xul.pdb
6f930000 6fa13000   js3250     (private pdb symbols)  c:\symbols\js3250.pdb\75B84B4E98204776895D1033F0ED8B0A2\js3250.pdb
6fa20000 6fad1000   MOZCRT19   (private pdb symbols)  c:\symbols\mozcrt19.pdb\B67AE52B8A5244B7ACA7977FDEED01E31\mozcrt19.pdb
705f0000 7065c000   sqlite3    (private pdb symbols)  c:\symbols\sqlite3.pdb\DB5FA626A96C45608879785BF506D4701\sqlite3.pdb
718c0000 718c5000   MSIMG32    (pdb symbols)          c:\symbols\msimg32.pdb\F3CCF1CDEF724758A292CC67212D6C0C2\msimg32.pdb
74960000 74999000   OLEACC     (pdb symbols)          c:\symbols\oleacc.pdb\870DE296FC97430A81F4D5AC2B65C0222\oleacc.pdb
749a0000 749d2000   WINMM      (pdb symbols)          c:\symbols\winmm.pdb\0F510C3C6FA5429CB90B3CAC010DAE2A2\winmm.pdb
74bc0000 74c02000   WINSPOOL   (pdb symbols)          c:\symbols\winspool.pdb\C2BBAA4F14454DFB9133D376CBA83A3F1\winspool.pdb
750f0000 7528e000   COMCTL32   (pdb symbols)          c:\symbols\comctl32.pdb\B07CB25578964646BF1423C7A4B5CB9D2\comctl32.pdb
75350000 75357000   xpcom      (private pdb symbols)  c:\symbols\xpcom.pdb\3D2BAC37D4134C2689A3F51CF65506BE2\xpcom.pdb
75630000 75638000   VERSION    (pdb symbols)          c:\symbols\version.pdb\6A1ECA8395EE447D87E8A0F4770EC4FE2\version.pdb
75b80000 75b87000   WSOCK32    (pdb symbols)          c:\symbols\wsock32.pdb\7DC375A71CD746B2AA6DA348F3CC4A332\wsock32.pdb
75c90000 75cf0000   Secur32    (pdb symbols)          c:\symbols\wsecur32.pdb\E8C9FF6124474BADA57E2AFE7C055C642\wsecur32.pdb
75cf0000 75e34000   ole32      (pdb symbols)          c:\symbols\ole32.pdb\D5E1AE7EFBFE4EBF861CF115E487706B2\ole32.pdb
75e40000 75f30000   RPCRT4     (pdb symbols)          c:\symbols\wrpcrt4.pdb\1D86157647F8403D9225394114A2062D2\wrpcrt4.pdb
75fc0000 76020000   IMM32      (pdb symbols)          c:\symbols\wimm32.pdb\748292DB838F439B89846150B0B07BDB2\wimm32.pdb
762a0000 7631d000   USP10      (pdb symbols)          c:\symbols\usp10.pdb\DDA3D1A222EC474392B05039FFB9FB2F2\usp10.pdb
76320000 76393000   COMDLG32   (pdb symbols)          c:\symbols\comdlg32.pdb\B29564B650C545959CA6A542207B65EE2\comdlg32.pdb
763a0000 76430000   GDI32      (pdb symbols)          c:\symbols\wgdi32.pdb\715D3C6609D34723AF5DB50184468E0D2\wgdi32.pdb
76430000 764f8000   MSCTF      (pdb symbols)          c:\symbols\msctf.pdb\D580123A0B2D4A4A9101EE42B89C49A22\msctf.pdb
76550000 765dd000   OLEAUT32   (pdb symbols)          c:\symbols\oleaut32.pdb\DDDA4738DBC94A3CB5523186E8E021502\oleaut32.pdb
765f0000 765f6000   NSI        (pdb symbols)          c:\symbols\nsi.pdb\37D074DFCA5D4B5FB51EB78B39F22BF12\nsi.pdb
76600000 76710000   kernel32   (pdb symbols)          c:\symbols\wkernel32.pdb\72C78C66E01942E590C8324E2813E90B2\wkernel32.pdb
76860000 7690a000   msvcrt     (pdb symbols)          c:\symbols\msvcrt.pdb\907C0110ED8A4B5FBDE7C53CA473E1BF2\msvcrt.pdb
76920000 769f0000   USER32     (pdb symbols)          c:\symbols\wuser32.pdb\702EF62A29F34843A2F916C3455A45002\wuser32.pdb
769f0000 76ab6000   ADVAPI32   (pdb symbols)          c:\symbols\advapi32.pdb\F47D32216FEC4B49AC9C8E6E687A36C52\advapi32.pdb
76af0000 77600000   SHELL32    (pdb symbols)          c:\symbols\shell32.pdb\C76750FD7C8648328F9E5977929983652\shell32.pdb
77880000 778d8000   SHLWAPI    (pdb symbols)          c:\symbols\shlwapi.pdb\B8D18F33FFCC4B37A2800C2CF4B8E0132\shlwapi.pdb
778e0000 7790d000   WS2_32     (pdb symbols)          c:\symbols\ws2_32.pdb\A004B77B4689467D8888B44DC5DD5DD72\ws2_32.pdb
77cb0000 77e10000   ntdll      (pdb symbols)          c:\symbols\wntdll.pdb\28706E4F83D84D1CA4583C3C80B8AC6D2\wntdll.pdb
0:000> g
ModLoad: 76710000 76719000   C:\Windows\syswow64\LPK.DLL
ModLoad: 74e60000 74ee0000   C:\Windows\SysWOW64\uxtheme.dll
ModLoad: 738f0000 738fc000   C:\Windows\SysWOW64\dwmapi.dll
ModLoad: 74d00000 74ddc000   C:\Windows\SysWOW64\dbghelp.dll
ModLoad: 77600000 7778a000   C:\Windows\syswow64\SETUPAPI.dll
ModLoad: 75b50000 75b6e000   C:\Windows\SysWOW64\USERENV.dll
ModLoad: 74c40000 74cfb000   C:\Windows\SysWOW64\PROPSYS.dll
ModLoad: 76020000 760a4000   C:\Windows\syswow64\CLBCatQ.DLL
eax=00000000 ebx=00000000 ecx=00000000 edx=00000000 esi=00000001 edi=b0448f79
eip=77cd075a esp=0030fd18 ebp=0030fd24 iopl=0         nv up ei pl nz na po nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000202
ntdll!ZwTerminateProcess+0x12:
77cd075a c20800          ret     8
0:000> kp
ChildEBP RetAddr  
0030fd14 77cf9e89 ntdll!ZwTerminateProcess+0x12
0030fd24 766187e3 ntdll!RtlExitUserProcess+0x7a
0030fd38 6fa2179e kernel32!ExitProcess+0x12
0030fd44 6fa21b66 MOZCRT19!__crtExitProcess(int status = 1872893854)+0x2e [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crt0dat.c @ 683]
0030fd7c 6fa21bee MOZCRT19!doexit(int code = 1, int quick = 6434940, int retcaller = 1872894823)+0x116 [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crt0dat.c @ 596]
0030fd8c 01021449 MOZCRT19!exit(int code = 1986585765)+0xe [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crt0dat.c @ 398]
0030fdc4 7668e4a5 firefox!__tmainCRTStartup(void)+0x169 [e:\builds\moz2_slave\win32_build\build\obj-firefox\memory\jemalloc\src\crtexe.c @ 605]
0030fdd0 77d2cfed kernel32!BaseThreadInitThunk+0xe
0030fe10 77d2d1ff ntdll!__RtlUserThreadStart+0x23
0030fe28 00000000 ntdll!_RtlUserThreadStart+0x1b
0:000> !analyze -v -f
*******************************************************************************
*                                                                             *
*                        Exception Analysis                                   *
*                                                                             *
*******************************************************************************

Event is not an exception


Failure could not be analyzed

Last event: 1af0.1644: Exit process 0:1af0, code 1
  debugger time: Thu Aug 13 04:09:54.385 2009 (GMT-7)
0:000> lm
start    end        module name
00020000 00038000   smime3     (private pdb symbols)  c:\symbols\smime3.pdb\B2DF2B73309F4829AAD925528DF9AB291\smime3.pdb
00060000 000fa000   nss3       (private pdb symbols)  c:\symbols\nss3.pdb\0D7B6380991B463FA3A6D8650DF201C71\nss3.pdb
00100000 00114000   nssutil3   (private pdb symbols)  c:\symbols\nssutil3.pdb\96A41100A76E44858E54CD07F0E39F941\nssutil3.pdb
00120000 00127000   plc4       (private pdb symbols)  c:\symbols\plc4.pdb\EFF6380F877D44139900A28D8FD81CBC1\plc4.pdb
00130000 00137000   plds4      (private pdb symbols)  c:\symbols\plds4.pdb\14A9318596F449799D1343D7EC4ACFD61\plds4.pdb
00190000 001b0000   ssl3       (private pdb symbols)  c:\symbols\ssl3.pdb\E8786215C6BA473690CBEBB1C199AD391\ssl3.pdb
01020000 010ff000   firefox    (private pdb symbols)  c:\symbols\firefox.pdb\27573F1FEA2A41B5ACCBF4942929D6F02\firefox.pdb
10000000 10029000   nspr4      (private pdb symbols)  c:\symbols\nspr4.pdb\B79A0596E1A54A5A815807605BB6D97D1\nspr4.pdb
6ac50000 6b6a1000   xul        (private pdb symbols)  c:\symbols\xul.pdb\54D08EB89929411489E21BC03AC413A72\xul.pdb
6f930000 6fa13000   js3250     (private pdb symbols)  c:\symbols\js3250.pdb\75B84B4E98204776895D1033F0ED8B0A2\js3250.pdb
6fa20000 6fad1000   MOZCRT19   (private pdb symbols)  c:\symbols\mozcrt19.pdb\B67AE52B8A5244B7ACA7977FDEED01E31\mozcrt19.pdb
705f0000 7065c000   sqlite3    (private pdb symbols)  c:\symbols\sqlite3.pdb\DB5FA626A96C45608879785BF506D4701\sqlite3.pdb
718c0000 718c5000   MSIMG32    (pdb symbols)          c:\symbols\msimg32.pdb\F3CCF1CDEF724758A292CC67212D6C0C2\msimg32.pdb
738f0000 738fc000   dwmapi     (deferred)             
74960000 74999000   OLEACC     (pdb symbols)          c:\symbols\oleacc.pdb\870DE296FC97430A81F4D5AC2B65C0222\oleacc.pdb
749a0000 749d2000   WINMM      (pdb symbols)          c:\symbols\winmm.pdb\0F510C3C6FA5429CB90B3CAC010DAE2A2\winmm.pdb
74bc0000 74c02000   WINSPOOL   (pdb symbols)          c:\symbols\winspool.pdb\C2BBAA4F14454DFB9133D376CBA83A3F1\winspool.pdb
74c40000 74cfb000   PROPSYS    (deferred)             
74d00000 74ddc000   dbghelp    (deferred)             
74e60000 74ee0000   uxtheme    (deferred)             
750f0000 7528e000   COMCTL32   (pdb symbols)          c:\symbols\comctl32.pdb\B07CB25578964646BF1423C7A4B5CB9D2\comctl32.pdb
75350000 75357000   xpcom      (private pdb symbols)  c:\symbols\xpcom.pdb\3D2BAC37D4134C2689A3F51CF65506BE2\xpcom.pdb
75630000 75638000   VERSION    (pdb symbols)          c:\symbols\version.pdb\6A1ECA8395EE447D87E8A0F4770EC4FE2\version.pdb
75b50000 75b6e000   USERENV    (deferred)             
75b80000 75b87000   WSOCK32    (pdb symbols)          c:\symbols\wsock32.pdb\7DC375A71CD746B2AA6DA348F3CC4A332\wsock32.pdb
75c90000 75cf0000   Secur32    (pdb symbols)          c:\symbols\wsecur32.pdb\E8C9FF6124474BADA57E2AFE7C055C642\wsecur32.pdb
75cf0000 75e34000   ole32      (pdb symbols)          c:\symbols\ole32.pdb\D5E1AE7EFBFE4EBF861CF115E487706B2\ole32.pdb
75e40000 75f30000   RPCRT4     (pdb symbols)          c:\symbols\wrpcrt4.pdb\1D86157647F8403D9225394114A2062D2\wrpcrt4.pdb
75fc0000 76020000   IMM32      (pdb symbols)          c:\symbols\wimm32.pdb\748292DB838F439B89846150B0B07BDB2\wimm32.pdb
76020000 760a4000   CLBCatQ    (deferred)             
762a0000 7631d000   USP10      (pdb symbols)          c:\symbols\usp10.pdb\DDA3D1A222EC474392B05039FFB9FB2F2\usp10.pdb
76320000 76393000   COMDLG32   (pdb symbols)          c:\symbols\comdlg32.pdb\B29564B650C545959CA6A542207B65EE2\comdlg32.pdb
763a0000 76430000   GDI32      (pdb symbols)          c:\symbols\wgdi32.pdb\715D3C6609D34723AF5DB50184468E0D2\wgdi32.pdb
76430000 764f8000   MSCTF      (pdb symbols)          c:\symbols\msctf.pdb\D580123A0B2D4A4A9101EE42B89C49A22\msctf.pdb
76550000 765dd000   OLEAUT32   (pdb symbols)          c:\symbols\oleaut32.pdb\DDDA4738DBC94A3CB5523186E8E021502\oleaut32.pdb
765f0000 765f6000   NSI        (pdb symbols)          c:\symbols\nsi.pdb\37D074DFCA5D4B5FB51EB78B39F22BF12\nsi.pdb
76600000 76710000   kernel32   (pdb symbols)          c:\symbols\wkernel32.pdb\72C78C66E01942E590C8324E2813E90B2\wkernel32.pdb
76710000 76719000   LPK        (deferred)             
76860000 7690a000   msvcrt     (pdb symbols)          c:\symbols\msvcrt.pdb\907C0110ED8A4B5FBDE7C53CA473E1BF2\msvcrt.pdb
76920000 769f0000   USER32     (pdb symbols)          c:\symbols\wuser32.pdb\702EF62A29F34843A2F916C3455A45002\wuser32.pdb
769f0000 76ab6000   ADVAPI32   (pdb symbols)          c:\symbols\advapi32.pdb\F47D32216FEC4B49AC9C8E6E687A36C52\advapi32.pdb
76af0000 77600000   SHELL32    (pdb symbols)          c:\symbols\shell32.pdb\C76750FD7C8648328F9E5977929983652\shell32.pdb
77600000 7778a000   SETUPAPI   (deferred)             
77880000 778d8000   SHLWAPI    (pdb symbols)          c:\symbols\shlwapi.pdb\B8D18F33FFCC4B37A2800C2CF4B8E0132\shlwapi.pdb
778e0000 7790d000   WS2_32     (pdb symbols)          c:\symbols\ws2_32.pdb\A004B77B4689467D8888B44DC5DD5DD72\ws2_32.pdb
77cb0000 77e10000   ntdll      (pdb symbols)          c:\symbols\wntdll.pdb\28706E4F83D84D1CA4583C3C80B8AC6D2\wntdll.pdb
3 more crashes today:

ae38f4c4-e285-4131-a7a2-87c552090813	8/13/2009	5:03 PM
57b3fd4f-bf5c-4625-9e10-b57132090813	8/13/2009	4:47 PM
50de09e0-b530-47f6-aa7e-59b2c2090813	8/13/2009	4:11 AM
Another crash today:  bff296ae-cd81-42ea-b13a-0edc22090815	8/15/2009	12:10 AM

Is there any solution to these crashes?  Thanks, DC
So you have all sorts of binary extensions or libraries, which aren't
really part of the Firefox. As timeless suggested, some of those may cause problems.
There are libraries related to Symantec/Norton programs, Skype, Google Gears,
Softomate, Babylon Inside, RoboForm SDK/Siber Systems...
Seems like at least the RoboForm has caused crashes for others, if some not-compatible-with-latest-firefox version has been used.

So you could either try to remove those or make sure that you have versions which
are compatible with FF3.5.
Hi Olli,

The only thing that does not make sense to me is that before I upgraded Firefox to 3.5.2, everything was working perfectly, with no crashes etc?
Changes between the old version of Firefox and 3.5.2 could have made those programs crash it.
These aren't just a whole bunch of unrelated crashes.  Many of these signatures are known be associated with threadsafety issues in extensions (see bug 519755 comment 2).

We're contacting vendors of the ones known to cause the most crashes (McAfee SiteAdvisor, RelevantKnowledge, BitDefender, MovePlayer) but it doesn't sound like you're using one of these.  If you can give me a crash ID from within the last week, I can be more sure about this part.

If you run a debug build of Firefox, I expect that you'll see threadsafety assertions.  A stack trace for one of those assertions will tell you which piece of third-party software is causing your crash.
Summary: After upgrading to 3.5.1 from 2.0.21, Firefox crashes and closes every time I visit www.usaa.com → Crashes every time I visit www.usaa.com (probably threadsafety bugs in third-party modules)
Whiteboard: [needs new crash ID from DC; may need debugging on DC's computer]
D.C. can you still reproduce?
Flags: needinfo?(jrdc3)
Keywords: stackwanted
Whiteboard: [needs new crash ID from DC; may need debugging on DC's computer] → [closeme 2013-08-01]
Resolved per whiteboard
Status: UNCONFIRMED → RESOLVED
Closed: 6 years ago
Flags: needinfo?(jrdc3)
Resolution: --- → INCOMPLETE
Whiteboard: [closeme 2013-08-01]
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.